package info.bukova.isspst.security;

import org.springframework.security.core.Authentication;

/**
 * Vyhodnocuje základní práva modulů - číst, upravit, přidat, mazat.
 * 
 * @author pepa
 *
 */
public class ServiceEvaluator extends AbstractModuleEvaluator implements Evaluator {

	@Override
	public boolean evaluate(Authentication authentication,
		Object targetDomainObject, String permission) {

		return hasModulePermission(authentication, targetDomainObject.getClass(), permission);
	}

}
